Skip to content

Retrieve a known user

Request

Retrieve a known user by their ID.

Note: This checks the user is present in the SCIM application.

Security
BearerAuth
Path
userIdstring, (uuid)required

The user ID.

Example:2819c223-7f76-453a-919d-413861904646
GET
/scim/v2/Users/{userId}
curl --request GET \
  --url https://YOUR_DOMAIN/scim/v2/Users/{userId} \
  --header 'Content-type: application/scim+json' \
  --header 'Authorization: Bearer eyJ0eX...ll4Q2NT'

Responses

Successfully returned the resource

Bodyapplication/json
schemasArray of stringsrequired
Example:
[ "urn:ietf:params:scim:schemas:core:2.0:User" ]
idstring, (uuid)

A unique identifier for a SCIM resource as defined by the service provider.

Example:"2819c223-7f76-453a-919d-413861904646"
externalIdstring

A String that is an identifier for the resource as defined by the provisioning client.

Example:"bjensen"
userNamestringrequired

A service provider's unique identifier for the user, typically used by the user to directly authenticate to the service provider.

Example:"bjensen"
nameobject(name)

The components of the user's name.

Example:
{ "formatted": "Ms. Barbara J Jensen III", "familyName": "Jensen", "givenName": "Barbara" }
displayNamestring

The name of the user, suitable for display to end-users.

nickNamestring

The casual way to address the user in real life, e.g., "Bob" or "Bobby" instead of "Robert".

profileUrlstring

A URI that is a uniform resource locator (as defined in Section 1.1.3 of [RFC3986]) and that points to a location representing the user's online profile (e.g., a web page). URIs are canonicalized per Section 6.2 of [RFC3986].

titlestring

The user's title, such as "Vice President".

userTypestring

Used to identify the relationship between the organization and the user. Typical values used might be "Contractor", "Employee", "Intern", "Temp", "External", and "Unknown", but any value may be used.

preferredLanguagestring

Indicates the user's preferred written or spoken languages and is generally used for selecting a localized user interface. The value indicates the set of natural languages that are preferred. The format of the value is the same as the HTTP Accept-Language header field (not including "Accept-Language:") and is specified in Section 5.3.5 of [RFC7231].

localestring

Used to indicate the User's default location for purposes of localizing such items as currency, date time format, or numerical representations.A valid value is a language tag as defined in [RFC5646].

timezonestring

The User's time zone, in IANA Time Zone database format [RFC6557], also known as the "Olson" time zone database format [Olson-TZ] (e.g., "America/Los_Angeles").

activeboolean

A Boolean value indicating the user's administrative status.

emailsArray of objects(MultiValuedAttributes)

Email addresses for the User.

Example:
{ "value": "bjensen@example.com", "type": "work" }
phoneNumbersArray of objects(MultiValuedAttributes)

Phone numbers for the user.

Example:
{ "value": "555-555-8377", "type": "work" }
imsArray of objects(MultiValuedAttributes)

Instant messaging address for the user.

photosArray of objects(MultiValuedAttributes)

A URI that is a uniform resource locator (as defined in Section 1.1.3 of [RFC3986]) that points to a resource location representing the user's image.

addressesobject

A physical mailing address for this user.

groupsArray of objects

A list of groups to which the user belongs, either through direct membership, through nested groups, or dynamically calculated.

entitlementsstring

A list of entitlements for the user that represent a thing the user has.

rolesstring

A list of roles for the user that collectively represent who the user is, e.g., "Student", "Faculty". No vocabulary or syntax is specified, although it is expected that a role value is a String or label representing a collection of entitlements. This value has no canonical types.

x509Certificatesstring

A list of certificates associated with the resource (e.g., a User).Each value contains exactly one DER-encoded X.509 certificate (see Section 4 of [RFC5280]), which must be base64 encoded per Section 4 of [RFC4648].

Response
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "id": "2819c223-7f76-453a-919d-413861904646", "externalId": "bjensen", "meta": { "resourceType": "User", "created": "2011-08-01T18:29:49.793Z", "lastModified": "2011-08-01T18:29:49.793Z", "location"": "https://example.com/v2/Users/2819c223-7f76-453a-919d-413861904646" }, "name": { "formatted": "Ms. Barbara J Jensen III", "familyName": "Jensen", "givenName": "Barbara" }, "userName": "bjensen", "phoneNumbers": { "value": "555-555-8377", "type": "work" }, "emails": { "value": "bjensen@example.com", "type": "work" } }